Page MenuHomePhabricator

Page Curation toolbar: mark pages as 'reviewed' when adding AfD tags
Closed, ResolvedPublic2 Story Points

Description

Current behavior:

Currently, when a page is nominated for deletion (via AfD), it does not get marked as Reviewed in the system.

Desired behavior:

When nominating a page for deletion (via AfD), it should mark the page as reviewed in the system.

Notes:

Details

Related Gerrit Patches:
mediawiki/extensions/PageTriage : masterClean up code comments added in patch I45df1d39f9
mediawiki/extensions/PageTriage : masterAdd logic to mark pages as reviewed when adding AfD tags
mediawiki/extensions/PageTriage : masterDon't mark pages as patrolled when tagging for deletion

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptNov 4 2018, 5:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Twinkle has been updated to not mark CSDs as 'reviewed', (It never did mark PRODs as 'reviewed' in the past, for exactly this reason). Page Curation needs to follow suit. I've been informed that this cannot be done through on-wiki customisation of the .js pages.

JTannerWMF moved this task from Inbox to External on the Growth-Team board.Mar 19 2019, 6:11 PM
JTannerWMF added a subscriber: JTannerWMF.

It appears the CommTech team is working on this.

Niharika updated the task description. (Show Details)Mar 19 2019, 11:12 PM
Niharika triaged this task as Normal priority.Apr 30 2019, 9:36 PM
Niharika added a project: Community-Tech.
Niharika updated the task description. (Show Details)
Niharika moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
Niharika set the point value for this task to 2.Apr 30 2019, 11:23 PM
Niharika moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
MusikAnimal moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 507721 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[mediawiki/extensions/PageTriage@master] Don't mark pages as patrolled when tagging for deletion

https://gerrit.wikimedia.org/r/507721

This comment was removed by Insertcleverphrasehere.

Change 507721 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Don't mark pages as patrolled when tagging for deletion

https://gerrit.wikimedia.org/r/507721

This change will roll out to enwiki on May 9.

@Niharika Already reviewed pages which are marked for deletion now become unreviewed. I'm guessing that is good?

@Niharika Already reviewed pages which are marked for deletion now become unreviewed. I'm guessing that is good?

For Prod and CSD yes, AfD's could still be marked as reviewed (as the AfD tag can't be removed without triggering a bot to fix it, at least until the AfD discussion is over).

I have checked that articles get marked as unreviewed when tagging with one of "Speedy deletion", "Proposed deletion" or "Articles for deletion".

This looks like a very small change, which relies on existing functionality. I don't think much more testing is necessary.

For Prod and CSD yes, AfD's could still be marked as reviewed (as the AfD tag can't be removed without triggering a bot to fix it, at least until the AfD discussion is over).

@Insertcleverphrasehere Now AfD's will be marked as unreviewed as well, if that is OK.

@dom_walden Actually that would be a step backwards for us. We want AfDs marked as reviewed as consensus has been reached one way or another upon the close of the AfD process.

Yeah we want AfDs marked as reviewed. If you check the original discussion where this was endorsed, everyone agreed that AfDs should stay reviewed as either way the AfD ends there is nothing more for New Page Patrol to do.

@MusikAnimal We should fix that behavior (see comments above). And let's keep patches in Beta until Dom has tested the feature, please.

MusikAnimal removed MusikAnimal as the assignee of this task.Jun 3 2019, 5:13 PM
MusikAnimal added a subscriber: MusikAnimal.
HMonroy claimed this task.Jun 4 2019, 2:42 PM
Niharika renamed this task from Page Curation toolbar: do not mark pages as 'reviewed' when adding CSD and PROD tags to Page Curation toolbar: do not mark pages as 'reviewed' when adding AfD tags.Jun 4 2019, 11:45 PM
Niharika updated the task description. (Show Details)
MusikAnimal renamed this task from Page Curation toolbar: do not mark pages as 'reviewed' when adding AfD tags to Page Curation toolbar: mark pages as 'reviewed' when adding AfD tags.Jun 4 2019, 11:46 PM
MusikAnimal updated the task description. (Show Details)
Niharika updated the task description. (Show Details)Jun 10 2019, 5:23 PM

@HMonroy Based on the previous discussion, it seems like the task description is correct. When a page is nominated for deletion (only via AfD), it should get marked as Reviewed.
What I was talking about earlier seems to have already been accomplished by Leon's last patch on this ticket. https://gerrit.wikimedia.org/r/#/c/507721/

Change 516563 had a related patch set uploaded (by HMonroy; owner: HMonroy):
[mediawiki/extensions/PageTriage@master] Add logic to mark pages as reviewed when adding AfD tags

https://gerrit.wikimedia.org/r/516563

HMonroy added a comment.EditedJun 12 2019, 8:10 PM

The following change was also implemented as @MusikAnimal noted when reviewing this patch https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/PageTriage/+/516563/:

"I know this wasn't in the task, but I think we want reviewed: 1 here also. MfD (miscellany for deletion) is the same thing as AfD except for non-mainspace pages, so I think we can safely assume we'd want the same behaviour of marking MfD'd pages as reviewed.

0 is the default value for reviewed but you may still want to put reviewed: 0 for csdcommon and proposedeletion too, just for clarity."

Change 516563 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Add logic to mark pages as reviewed when adding AfD tags

https://gerrit.wikimedia.org/r/516563

Change 517744 had a related patch set uploaded (by HMonroy; owner: HMonroy):
[mediawiki/extensions/PageTriage@master] Clean up code comments added in patch I45df1d39f9

https://gerrit.wikimedia.org/r/517744

I checked that:
+ Marking a page with "Speedy deletion" or "Proposed deletion" will mark it as Unreviewed (or keep it marked Unreviewed if it was previously Unreviewed).
+ Marking a page with "Articles for deletion" will mark it as Reviewed (or keep it marked Reviewed it if was previously Reviewed).

Just waiting for the above patch to be +2ed before moving this out of QA.

Change 517744 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Clean up code comments added in patch I45df1d39f9

https://gerrit.wikimedia.org/r/517744

Just waiting for the above patch to be +2ed before moving this out of QA.

Moving on as this has been merged.

Niharika closed this task as Resolved.Jul 8 2019, 5:16 PM